[Versioning]
; Promote version with release
major = 0
minor = 0
patch = 1

[General]
ProjectConfFile: project.conf
PathToSources: ..
PathToTemplates: ./templates/

[Groups]
cli
gui

[CMake:Categories]
; projects and their templates
; project must belong in one of these categories
root:       CMakeLists_root.txt
executable: CMakeLists_bin.txt
library:    CMakeLists_lib.txt
testing:    CMakeLists_itest.txt

[CMake:Sources]
; where to find sources, relative to {PROJECT_DIR}
ExcludeSources: .txx .cxx .hxx
InstallSources: .hpp .h .hxx EMPTY
SourcesDir: src
TestSourcesDir: test-src

; ----------------------------------------------------------
; system dependencies:
; if projects depends on one of these probably want to specify what should be passed inside target_* in cmake

[CMake:Deps:xml2]
include: PUBLIC ${LIBXML2_INCLUDE_DIR}
link: ${LIBXML2_LIBRARIES}
find: LibXml2 REQUIRED

[CMake:Deps:threads]
link: ${CMAKE_THREAD_LIBS_INIT}
find: Threads REQUIRED

[CMake:Deps:Qt5Widgets]
link: Qt5::Widgets
include: ${Qt5Widgets_INCLUDE_DIRS}
find: Qt5 5.7 REQUIRED COMPONENTS Core Widgets

[CMake:Deps:Qt5Xml]
link: Qt5::Xml
include:${Qt5Xml_INCLUDE_DIRS}
find: Qt5 5.7 REQUIRED COMPONENTS Core Xml

[CMake:Deps:graphviz]
link: ${GRAPHVIZ_GVC_LIBRARY} ${GRAPHVIZ_CGRAPH_LIBRARY}
include: ${GRAPHVIZ_INCLUDE_DIR}
find: Graphviz

[CMake:Deps:json]
link: ${JSONCPP_LIBRARIES}
include: ${JSONCPP_INCLUDE_DIR}
find: jsoncpp REQUIRED

[CMake:Deps:readline]
link: ${Readline_LIBRARY}
include: ${Readline_INCLUDE_DIR}
find: readline REQUIRED
